idevice_connect
idevice_connection_disable_bypass_ssl
idevice_connection_disable_ssl
idevice_connection_enable_ssl
idevice_connection_get_fd
idevice_connection_receive
idevice_connection_receive_timeout
idevice_connection_send
idevice_connection_t
idevice_connection_type
idevice_device_list_extended_free
idevice_device_list_free
IDEVICE_DEVICE_VERSION
idevice_disconnect
idevice_error_t
idevice_event_cb_t
idevice_event_subscribe
idevice_event_type
idevice_event_unsubscribe
idevice_events_subscribe
idevice_events_unsubscribe
idevice_free
idevice_get_device_list
idevice_get_device_list_extended
idevice_get_device_version
idevice_get_handle
idevice_get_udid
idevice_new
idevice_new_with_options
idevice_options
idevice_set_debug_level
idevice_strerror
idevice_subscription_context_t
idevice_t
libimobiledevice_version

## idevice_new_with_options()

idevice_error_t idevice_new_with_options | ( | idevice_t * | device,
|  | const char * | udid,
|  | enum idevice_options | options )

Creates an idevice_t structure for the device specified by UDID, if the device is available, with the given lookup options.

Note
  The resulting idevice_t structure has to be freed with idevice_free() if it is no longer used.

Parameters

  device | Upon calling this function, a pointer to a location of type idevice_t. On successful return, this location will be populated.
  udid | The UDID to match.

  options

  Specifies what connection types should be considered when looking up devices. Accepts bitwise or'ed values of idevice_options. If 0 (no option) is specified it will default to IDEVICE_LOOKUP_USBMUX. To lookup both USB and network-connected devices, pass IDEVICE_LOOKUP_USBMUX | IDEVICE_LOOKUP_NETWORK. If a device is available both via USBMUX and network, it will select the USB connection. This behavior can be changed by adding IDEVICE_LOOKUP_PREFER_NETWORK to the options in which case it will select the network connection.

Returns
  IDEVICE_E_SUCCESS if ok, otherwise an error code.